# Get devices This endpoint allows you to get a list of the available Point devices associated with your Mercado Pago account. Devices can be filtered by point of sale and/or store. In case of success, the request will return a response with status 200. **GET** `/point/integration-api/devices` ## Request parameters ### Query - `store_id` (string, optional) It's the store identifier, that you should send only if you want to filter the available devices by store. - `pos_id` (integer, optional) It's the device Point of Sale identifier, that you should send only if you want to filter the available devices by Point of Sale. - `limit` (integer, optional) Pagination limit. This parameter specifies the maximum number of records you want to get in the response. It must be a numeric value, greater than or equal to 1 and less than or equal to 50. The default value is 50. - `offset` (integer, optional) Pagination offset. This parameter determines the starting point from which the records should be obtained. It must be a numerical value greater than or equal to zero (0). Its default value is zero (0). ## Response parameters - `devices` (array, optional) List of available devices. - `devices[].id` (string, optional) Device unique identifier. You can identify the desired Point device by the last characters of this field, which should match the serial number displayed on the back label of the device. - `devices[].pos_id` (integer, optional) Identifier of the Point of Sale to which the device is associated. - `devices[].store_id` (string, optional) Identifier of the store to which the device is associated. - `devices[].external_pos_id` (string, optional) External identifier of the store to which the POS belongs, defined by the integrator during its creation. - `devices[].operating_mode` (string, optional) Operating mode defined currently for the device. Possible enum values: - `PDV` Point of Sale operating mode. It's when the device is integrated with the API - `STANDALONE` Default device configuration. It's when the device is not integrated with the API. - `paging` (object, optional) - `paging.total` (integer, optional) This parameter indicates the total number of elements available, beyond those selected to be displayed. - `paging.offset` (integer, optional) Starting point from which records were obtained, selected when submitting the request. - `paging.limit` (integer, optional) Specifies the maximum number of records obtained, selected when sending the request. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Bad Request. The query params sent were not in the correct format, or there was a mistake when sending the IDs. Please, check the validations and information and try again. | | 401 | 401 | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 500 | 500 | Internal error. Please try submitting the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/point/integration-api/devices?store_id=&pos_id=&limit=&offset=' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "devices": [ { "id": "PAX_A910__SMARTPOS1234345545", "pos_id": 47792476, "store_id": 47792478, "external_pos_id": "SUC0101POS", "operating_mode": "“PDV” | “STANDALONE”" } ], "paging": { "total": 1, "offset": 0, "limit": 50 } } ```